package org.apache.ws.jaxme.generator.sg;

import org.apache.ws.jaxme.generator.Generator;
import org.apache.ws.jaxme.xs.XSAny;
import org.apache.ws.jaxme.xs.XSElement;
import org.apache.ws.jaxme.xs.XSEnumeration;
import org.apache.ws.jaxme.xs.XSGroup;
import org.apache.ws.jaxme.xs.XSObjectFactory;
import org.apache.ws.jaxme.xs.XSParser;
import org.apache.ws.jaxme.xs.XSSchema;
import org.apache.ws.jaxme.xs.XSType;
import org.apache.ws.jaxme.xs.xml.XsObjectFactory;
import org.apache.ws.jaxme.xs.xml.XsQName;
import org.xml.sax.SAXException;


public interface SGFactoryChain {
  



  public Generator getGenerator(SGFactory pController);

  public void init(SGFactory pController);

  public XsObjectFactory newXsObjectFactory(SGFactory pController) throws SAXException;

  public XSObjectFactory newXSObjectFactory(SGFactory pController) throws SAXException;

  public Object newSchemaSG(SGFactory pController, XSSchema pSchema) throws SAXException;

  public SchemaSG getSchemaSG(SGFactory pController, XSSchema pSchema) throws SAXException;

  public SchemaSG getSchemaSG(SGFactory pController);

  public Object newObjectSG(SGFactory pController, XSElement pElement) throws SAXException;

  public ObjectSG getObjectSG(SGFactory pController, XSElement pElement) throws SAXException;

  public Object newObjectSG(SGFactory pController, XSElement pElement, Context pContext) throws SAXException;

  public ObjectSG getObjectSG(SGFactory pController, XSElement pElement, Context pContext) throws SAXException;

  public Object newObjectSG(SGFactory pController, XSAny any);

  public ObjectSG getObjectSG(SGFactory pController, XSAny pWildcard, Context pContext) throws SAXException;

  public GroupSG newGroupSG(SGFactory pController, XSGroup pGroup) throws SAXException;

  public GroupSG getGroupSG(SGFactory pController, XSGroup pGroup) throws SAXException;

  public GroupSG newGroupSG(SGFactory pController, XSGroup pGroup, Context pClassContext) throws SAXException;

  public GroupSG getGroupSG(SGFactory pController, XSGroup pGroup, Context pClassContext) throws SAXException;

  public Object newTypeSG(SGFactory pController, XSType pType) throws SAXException;

  public TypeSG getTypeSG(SGFactory pController, XSType pType) throws SAXException;

  public Object newTypeSG(SGFactory pController, XSType pType, Context pClassContext, XsQName pName) throws SAXException;

  public TypeSG getTypeSG(SGFactory pController, XSType pType, Context pClassContext, XsQName pName) throws SAXException;

  public Object newTypeSG(SGFactory pController, XSType pType, XsQName pName) throws SAXException;

  public TypeSG getTypeSG(SGFactory pController, XSType pType, XsQName pName) throws SAXException;

  public XSParser newXSParser(SGFactory pController) throws SAXException;

  public Facet newFacet(SGFactory pController, XSType pType, XSEnumeration[] pEnumerations) throws SAXException;

  public GroupSG[] getGroups(SGFactory pController);

  public TypeSG[] getTypes(SGFactory pController);

  public ObjectSG[] getObjects(SGFactory pController);

}
