package org.apache.ws.jaxme.generator.sg;

import java.util.List;
import org.apache.ws.jaxme.js.JavaSourceFactory;
import org.apache.ws.jaxme.xs.jaxb.JAXBJavaType;
import org.apache.ws.jaxme.xs.xml.XsQName;
import org.w3c.dom.Document;
import org.xml.sax.Locator;
import org.xml.sax.SAXException;


public interface SchemaSGChain {
  



  public TypeSG[] getTypes(SchemaSG pController) throws SAXException;

  public TypeSG getType(SchemaSG pController, XsQName pName) throws SAXException;

  public GroupSG[] getGroups(SchemaSG pController) throws SAXException;

  public GroupSG getGroup(SchemaSG pController, XsQName pName) throws SAXException;

  public ObjectSG[] getObjects(SchemaSG pController) throws SAXException;

  public ObjectSG getElement(SchemaSG pController, XsQName pName) throws SAXException;

  public ObjectSG[] getElements(SchemaSG pController) throws SAXException;

  public String getCollectionType(SchemaSG pController);

  public JavaSourceFactory getJavaSourceFactory(SchemaSG pController);

  public void generate(SchemaSG pController) throws SAXException;

  public boolean isBindingStyleModelGroup(SchemaSG pController);

  public boolean isChoiceContentProperty(SchemaSG pController);

  public boolean isFailFastCheckEnabled(SchemaSG pController);

  public boolean isJavaNamingConventionsEnabled(SchemaSG pController);

  public boolean isFixedAttributeConstantProperty(SchemaSG pController);

  public boolean isGeneratingIsSetMethod(SchemaSG pController);

  public boolean isUnderscoreWordSeparator(SchemaSG pController);

  public JAXBJavaType[] getJAXBJavaTypes(SchemaSG pController);

  public XsQName[] getTypesafeEnumBase(SchemaSG pController);

  public Document getConfigFile(SchemaSG pController, String pPackageName, List pContextList) throws SAXException;

  public void generateJaxbProperties(SchemaSG pController) throws SAXException;

  public SGFactory getFactory(SchemaSG pController);

  public SchemaSG getSchema(SchemaSG pController);

  public Locator getLocator(SchemaSG pController);

  public void init(SchemaSG pController) throws SAXException;

}
