package org.apache.ws.jaxme.generator.sg.impl;

import org.apache.ws.jaxme.generator.sg.AttributeSG;
import org.apache.ws.jaxme.generator.sg.AttributeSGChain;
import org.apache.ws.jaxme.generator.sg.PropertySG;
import org.apache.ws.jaxme.generator.sg.SGFactory;
import org.apache.ws.jaxme.generator.sg.SGlet;
import org.apache.ws.jaxme.generator.sg.SchemaSG;
import org.apache.ws.jaxme.generator.sg.TypeSG;
import org.apache.ws.jaxme.js.DirectAccessible;
import org.apache.ws.jaxme.js.JavaMethod;
import org.apache.ws.jaxme.xs.xml.XsNamespaceList;
import org.apache.ws.jaxme.xs.xml.XsQName;
import org.apache.ws.jaxme.xs.xml.XsTWildcard;
import org.xml.sax.Locator;
import org.xml.sax.SAXException;


public class AttributeSGChainImpl implements AttributeSGChain {
  private AttributeSGChain backingObject;


  protected AttributeSGChainImpl(AttributeSGChain o) {
    if (o == null) {
      throw new NullPointerException("The supplied object must not be null.");
    }
    backingObject = o;
  }

  public XsQName getName(AttributeSG pController) {
    return backingObject.getName(pController);
  }

  public boolean isRequired(AttributeSG pController) {
    return backingObject.isRequired(pController);
  }

  public void forAllValues(AttributeSG pController, JavaMethod pMethod, DirectAccessible pElement, SGlet pSGlet) throws SAXException {
    backingObject.forAllValues(pController, pMethod, pElement, pSGlet);
  }

  public void forAllNonNullValues(AttributeSG pController, JavaMethod pMethod, DirectAccessible pElement, SGlet pSGlet) throws SAXException {
    backingObject.forAllNonNullValues(pController, pMethod, pElement, pSGlet);
  }

  public Object newPropertySGChain(AttributeSG pController) {
    return backingObject.newPropertySGChain(pController);
  }

  public PropertySG getPropertySG(AttributeSG pController) {
    return backingObject.getPropertySG(pController);
  }

  public TypeSG getTypeSG(AttributeSG pController) {
    return backingObject.getTypeSG(pController);
  }

  public boolean isWildcard(AttributeSG pController) {
    return backingObject.isWildcard(pController);
  }

  public XsNamespaceList getNamespaceList(AttributeSG pController) {
    return backingObject.getNamespaceList(pController);
  }

  public XsTWildcard.ProcessContents getProcessContents(AttributeSG pController) {
    return backingObject.getProcessContents(pController);
  }

  public SGFactory getFactory(AttributeSG pController) {
    return backingObject.getFactory(pController);
  }

  public SchemaSG getSchema(AttributeSG pController) {
    return backingObject.getSchema(pController);
  }

  public Locator getLocator(AttributeSG pController) {
    return backingObject.getLocator(pController);
  }

  public void init(AttributeSG pController) throws SAXException {
    backingObject.init(pController);
  }

}
