package org.apache.ws.jaxme.generator.sg.impl;

import org.apache.ws.jaxme.generator.sg.ComplexContentSG;
import org.apache.ws.jaxme.generator.sg.ComplexContentSGChain;
import org.apache.ws.jaxme.generator.sg.ParticleSG;
import org.xml.sax.Locator;
import org.xml.sax.SAXException;


public class ComplexContentSGImpl implements ComplexContentSG {
  private ComplexContentSGChain backingObject;


  public ComplexContentSGImpl(ComplexContentSGChain o) {
    if (o == null) {
      throw new NullPointerException("The supplied object must not be null.");
    }
    backingObject = o;
  }

  public Locator getLocator() {
    return backingObject.getLocator(this);
  }

  public void init() throws SAXException {
    backingObject.init(this);
  }

  public boolean isEmpty() {
    return backingObject.isEmpty(this);
  }

  public boolean isMixed() {
    return backingObject.isMixed(this);
  }

  public ParticleSG getRootParticle() {
    return backingObject.getRootParticle(this);
  }

  public ParticleSG[] getElementParticles() throws SAXException {
    return backingObject.getElementParticles(this);
  }

  public ComplexContentSGChain getHeadOfChain() {
    return backingObject;
  }

}
