package org.apache.ws.jaxme.generator.sg.impl;

import org.apache.ws.jaxme.generator.sg.AttributeSG;
import org.apache.ws.jaxme.generator.sg.ComplexContentSG;
import org.apache.ws.jaxme.generator.sg.ComplexTypeSG;
import org.apache.ws.jaxme.generator.sg.ComplexTypeSGChain;
import org.apache.ws.jaxme.generator.sg.Context;
import org.apache.ws.jaxme.generator.sg.SimpleContentSG;
import org.apache.ws.jaxme.generator.sg.TypeSG;
import org.apache.ws.jaxme.js.JavaQName;
import org.apache.ws.jaxme.js.JavaSource;
import org.apache.ws.jaxme.xs.XSAttribute;
import org.apache.ws.jaxme.xs.XSWildcard;
import org.xml.sax.Locator;
import org.xml.sax.SAXException;


public class ComplexTypeSGChainImpl implements ComplexTypeSGChain {
  private ComplexTypeSGChain backingObject;


  protected ComplexTypeSGChainImpl(ComplexTypeSGChain o) {
    if (o == null) {
      throw new NullPointerException("The supplied object must not be null.");
    }
    backingObject = o;
  }

  public void init(ComplexTypeSG pController) throws SAXException {
    backingObject.init(pController);
  }

  public TypeSG getTypeSG(ComplexTypeSG pController) {
    return backingObject.getTypeSG(pController);
  }

  public Locator getLocator(ComplexTypeSG pController) {
    return backingObject.getLocator(pController);
  }

  public Context getClassContext(ComplexTypeSG pController) {
    return backingObject.getClassContext(pController);
  }

  public JavaSource getXMLInterface(ComplexTypeSG pController) throws SAXException {
    return backingObject.getXMLInterface(pController);
  }

  public JavaSource getXMLInterface(ComplexTypeSG pController, JavaSource pSource) throws SAXException {
    return backingObject.getXMLInterface(pController, pSource);
  }

  public JavaSource getXMLImplementation(ComplexTypeSG pController) throws SAXException {
    return backingObject.getXMLImplementation(pController);
  }

  public JavaSource getXMLImplementation(ComplexTypeSG pController, JavaSource pSource) throws SAXException {
    return backingObject.getXMLImplementation(pController, pSource);
  }

  public JavaSource getXMLSerializer(ComplexTypeSG pController) throws SAXException {
    return backingObject.getXMLSerializer(pController);
  }

  public JavaSource getXMLSerializer(ComplexTypeSG pController, JavaSource pSource) throws SAXException {
    return backingObject.getXMLSerializer(pController, pSource);
  }

  public JavaSource getXMLHandler(ComplexTypeSG pController, JavaQName pQName) throws SAXException {
    return backingObject.getXMLHandler(pController, pQName);
  }

  public JavaSource getXMLHandler(ComplexTypeSG pController, JavaSource pSource) throws SAXException {
    return backingObject.getXMLHandler(pController, pSource);
  }

  public boolean hasAttributes(ComplexTypeSG pController) {
    return backingObject.hasAttributes(pController);
  }

  public Object newAttributeSG(ComplexTypeSG pController, XSAttribute pAttribute) throws SAXException {
    return backingObject.newAttributeSG(pController, pAttribute);
  }

  public Object newAttributeSG(ComplexTypeSG pController, XSWildcard pWildcard) throws SAXException {
    return backingObject.newAttributeSG(pController, pWildcard);
  }

  public void addAttributeSG(ComplexTypeSG pController, AttributeSG pAttribute) throws SAXException {
    backingObject.addAttributeSG(pController, pAttribute);
  }

  public AttributeSG[] getAttributes(ComplexTypeSG pController) {
    return backingObject.getAttributes(pController);
  }

  public boolean hasSimpleContent(ComplexTypeSG pController) {
    return backingObject.hasSimpleContent(pController);
  }

  public Object newSimpleContentTypeSG(ComplexTypeSG pController) throws SAXException {
    return backingObject.newSimpleContentTypeSG(pController);
  }

  public SimpleContentSG getSimpleContentSG(ComplexTypeSG pController) {
    return backingObject.getSimpleContentSG(pController);
  }

  public Object newComplexContentTypeSG(ComplexTypeSG pController) throws SAXException {
    return backingObject.newComplexContentTypeSG(pController);
  }

  public ComplexContentSG getComplexContentSG(ComplexTypeSG pController) {
    return backingObject.getComplexContentSG(pController);
  }

}
