package org.apache.ws.jaxme.generator.sg.impl;

import org.apache.ws.jaxme.generator.sg.Context;
import org.apache.ws.jaxme.generator.sg.GroupSG;
import org.apache.ws.jaxme.generator.sg.GroupSGChain;
import org.apache.ws.jaxme.generator.sg.ParticleSG;
import org.apache.ws.jaxme.generator.sg.SGFactory;
import org.apache.ws.jaxme.generator.sg.SGItem;
import org.apache.ws.jaxme.generator.sg.SchemaSG;
import org.apache.ws.jaxme.xs.XSParticle;
import org.apache.ws.jaxme.xs.xml.XsQName;
import org.xml.sax.Locator;
import org.xml.sax.SAXException;


public class GroupSGImpl implements GroupSG , SGItem {
  private GroupSGChain backingObject;


  public GroupSGImpl(GroupSGChain o) {
    if (o == null) {
      throw new NullPointerException("The supplied object must not be null.");
    }
    backingObject = o;
  }

  public boolean isGlobal() {
    return backingObject.isGlobal(this);
  }

  public XsQName getName() {
    return backingObject.getName(this);
  }

  public boolean isAll() {
    return backingObject.isAll(this);
  }

  public boolean isChoice() {
    return backingObject.isChoice(this);
  }

  public boolean isSequence() {
    return backingObject.isSequence(this);
  }

  public Context getClassContext() throws SAXException {
    return backingObject.getClassContext(this);
  }

  public ParticleSG[] getParticles() throws SAXException {
    return backingObject.getParticles(this);
  }

  public Object newParticleSG(XSParticle pParticle) throws SAXException {
    return backingObject.newParticleSG(this, pParticle);
  }

  public SGFactory getFactory() {
    return backingObject.getFactory(this);
  }

  public SchemaSG getSchema() {
    return backingObject.getSchema(this);
  }

  public Locator getLocator() {
    return backingObject.getLocator(this);
  }

  public void init() throws SAXException {
    backingObject.init(this);
  }

  public GroupSGChain getHeadOfChain() {
    return backingObject;
  }

}
