package org.apache.ws.jaxme.generator.sg.impl;

import org.apache.ws.jaxme.generator.sg.Context;
import org.apache.ws.jaxme.generator.sg.ObjectSG;
import org.apache.ws.jaxme.generator.sg.ObjectSGChain;
import org.apache.ws.jaxme.generator.sg.SGFactory;
import org.apache.ws.jaxme.generator.sg.SGItem;
import org.apache.ws.jaxme.generator.sg.SchemaSG;
import org.apache.ws.jaxme.generator.sg.TypeSG;
import org.apache.ws.jaxme.js.JavaSource;
import org.apache.ws.jaxme.xs.xml.XsQName;
import org.xml.sax.Locator;
import org.xml.sax.SAXException;


public class ObjectSGImpl implements ObjectSG , SGItem {
  private ObjectSGChain backingObject;


  public ObjectSGImpl(ObjectSGChain o) {
    if (o == null) {
      throw new NullPointerException("The supplied object must not be null.");
    }
    backingObject = o;
  }

  public XsQName getName() {
    return backingObject.getName(this);
  }

  public Context getClassContext() {
    return backingObject.getClassContext(this);
  }

  public TypeSG getTypeSG() {
    return backingObject.getTypeSG(this);
  }

  public JavaSource getXMLInterface() throws SAXException {
    return backingObject.getXMLInterface(this);
  }

  public JavaSource getXMLImplementation() throws SAXException {
    return backingObject.getXMLImplementation(this);
  }

  public JavaSource getXMLHandler() throws SAXException {
    return backingObject.getXMLHandler(this);
  }

  public JavaSource getXMLSerializer() throws SAXException {
    return backingObject.getXMLSerializer(this);
  }

  public void generate() throws SAXException {
    backingObject.generate(this);
  }

  public boolean isGlobal() throws SAXException {
    return backingObject.isGlobal(this);
  }

  public SGFactory getFactory() {
    return backingObject.getFactory(this);
  }

  public SchemaSG getSchema() {
    return backingObject.getSchema(this);
  }

  public Locator getLocator() {
    return backingObject.getLocator(this);
  }

  public void init() throws SAXException {
    backingObject.init(this);
  }

  public ObjectSGChain getHeadOfChain() {
    return backingObject;
  }

}
