package org.apache.ws.jaxme.generator.sg.impl;

import java.util.List;
import org.apache.ws.jaxme.generator.sg.GroupSG;
import org.apache.ws.jaxme.generator.sg.ObjectSG;
import org.apache.ws.jaxme.generator.sg.SGFactory;
import org.apache.ws.jaxme.generator.sg.SchemaSG;
import org.apache.ws.jaxme.generator.sg.SchemaSGChain;
import org.apache.ws.jaxme.generator.sg.TypeSG;
import org.apache.ws.jaxme.js.JavaSourceFactory;
import org.apache.ws.jaxme.xs.jaxb.JAXBJavaType;
import org.apache.ws.jaxme.xs.xml.XsQName;
import org.w3c.dom.Document;
import org.xml.sax.Locator;
import org.xml.sax.SAXException;


public class SchemaSGChainImpl implements SchemaSGChain {
  private SchemaSGChain backingObject;


  protected SchemaSGChainImpl(SchemaSGChain o) {
    if (o == null) {
      throw new NullPointerException("The supplied object must not be null.");
    }
    backingObject = o;
  }

  public TypeSG[] getTypes(SchemaSG pController) throws SAXException {
    return backingObject.getTypes(pController);
  }

  public TypeSG getType(SchemaSG pController, XsQName pName) throws SAXException {
    return backingObject.getType(pController, pName);
  }

  public GroupSG[] getGroups(SchemaSG pController) throws SAXException {
    return backingObject.getGroups(pController);
  }

  public GroupSG getGroup(SchemaSG pController, XsQName pName) throws SAXException {
    return backingObject.getGroup(pController, pName);
  }

  public ObjectSG[] getObjects(SchemaSG pController) throws SAXException {
    return backingObject.getObjects(pController);
  }

  public ObjectSG getElement(SchemaSG pController, XsQName pName) throws SAXException {
    return backingObject.getElement(pController, pName);
  }

  public ObjectSG[] getElements(SchemaSG pController) throws SAXException {
    return backingObject.getElements(pController);
  }

  public String getCollectionType(SchemaSG pController) {
    return backingObject.getCollectionType(pController);
  }

  public JavaSourceFactory getJavaSourceFactory(SchemaSG pController) {
    return backingObject.getJavaSourceFactory(pController);
  }

  public void generate(SchemaSG pController) throws SAXException {
    backingObject.generate(pController);
  }

  public boolean isBindingStyleModelGroup(SchemaSG pController) {
    return backingObject.isBindingStyleModelGroup(pController);
  }

  public boolean isChoiceContentProperty(SchemaSG pController) {
    return backingObject.isChoiceContentProperty(pController);
  }

  public boolean isFailFastCheckEnabled(SchemaSG pController) {
    return backingObject.isFailFastCheckEnabled(pController);
  }

  public boolean isJavaNamingConventionsEnabled(SchemaSG pController) {
    return backingObject.isJavaNamingConventionsEnabled(pController);
  }

  public boolean isFixedAttributeConstantProperty(SchemaSG pController) {
    return backingObject.isFixedAttributeConstantProperty(pController);
  }

  public boolean isGeneratingIsSetMethod(SchemaSG pController) {
    return backingObject.isGeneratingIsSetMethod(pController);
  }

  public boolean isUnderscoreWordSeparator(SchemaSG pController) {
    return backingObject.isUnderscoreWordSeparator(pController);
  }

  public JAXBJavaType[] getJAXBJavaTypes(SchemaSG pController) {
    return backingObject.getJAXBJavaTypes(pController);
  }

  public XsQName[] getTypesafeEnumBase(SchemaSG pController) {
    return backingObject.getTypesafeEnumBase(pController);
  }

  public Document getConfigFile(SchemaSG pController, String pPackageName, List pContextList) throws SAXException {
    return backingObject.getConfigFile(pController, pPackageName, pContextList);
  }

  public void generateJaxbProperties(SchemaSG pController) throws SAXException {
    backingObject.generateJaxbProperties(pController);
  }

  public SGFactory getFactory(SchemaSG pController) {
    return backingObject.getFactory(pController);
  }

  public SchemaSG getSchema(SchemaSG pController) {
    return backingObject.getSchema(pController);
  }

  public Locator getLocator(SchemaSG pController) {
    return backingObject.getLocator(pController);
  }

  public void init(SchemaSG pController) throws SAXException {
    backingObject.init(pController);
  }

}
