package org.apache.ws.jaxme.generator.sg.impl;

import org.apache.ws.jaxme.generator.sg.PropertySG;
import org.apache.ws.jaxme.generator.sg.SimpleContentSG;
import org.apache.ws.jaxme.generator.sg.SimpleContentSGChain;
import org.apache.ws.jaxme.generator.sg.TypeSG;
import org.xml.sax.SAXException;


public class SimpleContentSGImpl implements SimpleContentSG {
  private SimpleContentSGChain backingObject;


  public SimpleContentSGImpl(SimpleContentSGChain o) {
    if (o == null) {
      throw new NullPointerException("The supplied object must not be null.");
    }
    backingObject = o;
  }

  public void init() throws SAXException {
    backingObject.init(this);
  }

  public Object newPropertySGChain() throws SAXException {
    return backingObject.newPropertySGChain(this);
  }

  public PropertySG getPropertySG() throws SAXException {
    return backingObject.getPropertySG(this);
  }

  public TypeSG getTypeSG() throws SAXException {
    return backingObject.getTypeSG(this);
  }

  public TypeSG getContentTypeSG() throws SAXException {
    return backingObject.getContentTypeSG(this);
  }

  public SimpleContentSGChain getHeadOfChain() {
    return backingObject;
  }

}
