package org.apache.ws.jaxme.generator.sg.impl;

import org.apache.ws.jaxme.generator.sg.AtomicTypeSG;
import org.apache.ws.jaxme.generator.sg.Facet;
import org.apache.ws.jaxme.generator.sg.ListTypeSG;
import org.apache.ws.jaxme.generator.sg.SGFactory;
import org.apache.ws.jaxme.generator.sg.SGlet;
import org.apache.ws.jaxme.generator.sg.SchemaSG;
import org.apache.ws.jaxme.generator.sg.SimpleTypeSG;
import org.apache.ws.jaxme.generator.sg.SimpleTypeSGChain;
import org.apache.ws.jaxme.generator.sg.UnionTypeSG;
import org.apache.ws.jaxme.generator.sg.Facet.Type;
import org.apache.ws.jaxme.js.DirectAccessible;
import org.apache.ws.jaxme.js.JavaMethod;
import org.apache.ws.jaxme.js.JavaQName;
import org.apache.ws.jaxme.js.JavaSource;
import org.apache.ws.jaxme.js.TypedValue;
import org.xml.sax.Locator;
import org.xml.sax.SAXException;


public class SimpleTypeSGChainImpl implements SimpleTypeSGChain {
  private SimpleTypeSGChain backingObject;


  protected SimpleTypeSGChainImpl(SimpleTypeSGChain o) {
    if (o == null) {
      throw new NullPointerException("The supplied object must not be null.");
    }
    backingObject = o;
  }

  public boolean isAtomic(SimpleTypeSG pController) {
    return backingObject.isAtomic(pController);
  }

  public boolean isList(SimpleTypeSG pController) {
    return backingObject.isList(pController);
  }

  public boolean isUnion(SimpleTypeSG pController) {
    return backingObject.isUnion(pController);
  }

  public boolean isNullable(SimpleTypeSG pController) {
    return backingObject.isNullable(pController);
  }

  public void setNullable(SimpleTypeSG pController, boolean pNullable) {
    backingObject.setNullable(pController, pNullable);
  }

  public AtomicTypeSG getAtomicType(SimpleTypeSG pController) {
    return backingObject.getAtomicType(pController);
  }

  public ListTypeSG getListType(SimpleTypeSG pController) {
    return backingObject.getListType(pController);
  }

  public UnionTypeSG getUnionType(SimpleTypeSG pController) {
    return backingObject.getUnionType(pController);
  }

  public JavaQName getRuntimeType(SimpleTypeSG pController) {
    return backingObject.getRuntimeType(pController);
  }

  public boolean isCausingParseConversionEvent(SimpleTypeSG pController) {
    return backingObject.isCausingParseConversionEvent(pController);
  }

  public TypedValue getCastFromString(SimpleTypeSG pController, JavaMethod pMethod, Object pValue, Object pData) throws SAXException {
    return backingObject.getCastFromString(pController, pMethod, pValue, pData);
  }

  public TypedValue getCastToString(SimpleTypeSG pController, JavaMethod pMethod, Object pValue, DirectAccessible pData) throws SAXException {
    return backingObject.getCastToString(pController, pMethod, pValue, pData);
  }

  public TypedValue getCastFromString(SimpleTypeSG pController, String pValue) throws SAXException {
    return backingObject.getCastFromString(pController, pValue);
  }

  public boolean hasSetMethod(SimpleTypeSG pController) throws SAXException {
    return backingObject.hasSetMethod(pController);
  }

  public String getCollectionType(SimpleTypeSG pController) {
    return backingObject.getCollectionType(pController);
  }

  public Facet[] getFacets(SimpleTypeSG pController) {
    return backingObject.getFacets(pController);
  }

  public Facet getFacet(SimpleTypeSG pController, Type pType) {
    return backingObject.getFacet(pController, pType);
  }

  public void forAllValues(SimpleTypeSG pController, JavaMethod pMethod, Object pValue, SGlet pSGlet) throws SAXException {
    backingObject.forAllValues(pController, pMethod, pValue, pSGlet);
  }

  public void forAllNonNullValues(SimpleTypeSG pController, JavaMethod pMethod, Object pValue, SGlet pSGlet) throws SAXException {
    backingObject.forAllNonNullValues(pController, pMethod, pValue, pSGlet);
  }

  public void generate(SimpleTypeSG pController) throws SAXException {
    backingObject.generate(pController);
  }

  public void generate(SimpleTypeSG pController, JavaSource pSource) throws SAXException {
    backingObject.generate(pController, pSource);
  }

  public Object getEqualsCheck(SimpleTypeSG pController, JavaMethod pMethod, Object pValue1, Object pValue2) throws SAXException {
    return backingObject.getEqualsCheck(pController, pMethod, pValue1, pValue2);
  }

  public Object getInitialValue(SimpleTypeSG pController, JavaSource pSource) throws SAXException {
    return backingObject.getInitialValue(pController, pSource);
  }

  public JavaMethod getXMLSetMethod(SimpleTypeSG pController, JavaSource pSource, String pFieldName, String pParamName, String pMethodName) throws SAXException {
    return backingObject.getXMLSetMethod(pController, pSource, pFieldName, pParamName, pMethodName);
  }

  public void addValidation(SimpleTypeSG pController, JavaMethod pMethod, DirectAccessible pValue) throws SAXException {
    backingObject.addValidation(pController, pMethod, pValue);
  }

  public SGFactory getFactory(SimpleTypeSG pController) {
    return backingObject.getFactory(pController);
  }

  public SchemaSG getSchema(SimpleTypeSG pController) {
    return backingObject.getSchema(pController);
  }

  public Locator getLocator(SimpleTypeSG pController) {
    return backingObject.getLocator(pController);
  }

  public void init(SimpleTypeSG pController) throws SAXException {
    backingObject.init(pController);
  }

}
