package org.apache.ws.jaxme.generator.sg.impl;

import org.apache.ws.jaxme.generator.sg.ComplexTypeSG;
import org.apache.ws.jaxme.generator.sg.SGFactory;
import org.apache.ws.jaxme.generator.sg.SchemaSG;
import org.apache.ws.jaxme.generator.sg.SimpleTypeSG;
import org.apache.ws.jaxme.generator.sg.TypeSG;
import org.apache.ws.jaxme.generator.sg.TypeSGChain;
import org.apache.ws.jaxme.js.JavaField;
import org.apache.ws.jaxme.js.JavaMethod;
import org.apache.ws.jaxme.js.JavaQName;
import org.apache.ws.jaxme.js.JavaSource;
import org.apache.ws.jaxme.xs.xml.XsQName;
import org.apache.ws.jaxme.xs.xml.XsSchemaHeader;
import org.xml.sax.Locator;
import org.xml.sax.SAXException;


public class TypeSGChainImpl implements TypeSGChain {
  private TypeSGChain backingObject;


  protected TypeSGChainImpl(TypeSGChain o) {
    if (o == null) {
      throw new NullPointerException("The supplied object must not be null.");
    }
    backingObject = o;
  }

  public void setProperty(TypeSG pController, String pName, Object pValue) {
    backingObject.setProperty(pController, pName, pValue);
  }

  public Object getProperty(TypeSG pController, String pName) {
    return backingObject.getProperty(pController, pName);
  }

  public boolean isGlobalType(TypeSG pController) {
    return backingObject.isGlobalType(pController);
  }

  public boolean isGlobalClass(TypeSG pController) {
    return backingObject.isGlobalClass(pController);
  }

  public XsQName getName(TypeSG pController) {
    return backingObject.getName(pController);
  }

  public boolean isComplex(TypeSG pController) {
    return backingObject.isComplex(pController);
  }

  public Object newSimpleTypeSG(TypeSG pController) throws SAXException {
    return backingObject.newSimpleTypeSG(pController);
  }

  public Object newComplexTypeSG(TypeSG pController) throws SAXException {
    return backingObject.newComplexTypeSG(pController);
  }

  public ComplexTypeSG getComplexTypeSG(TypeSG pController) {
    return backingObject.getComplexTypeSG(pController);
  }

  public SimpleTypeSG getSimpleTypeSG(TypeSG pController) {
    return backingObject.getSimpleTypeSG(pController);
  }

  public JavaField getXMLField(TypeSG pController, JavaSource pSource, String pFieldName, String pDefaultValue) throws SAXException {
    return backingObject.getXMLField(pController, pSource, pFieldName, pDefaultValue);
  }

  public JavaMethod getXMLGetMethod(TypeSG pController, JavaSource pSource, String pFieldName, String pMethodName) throws SAXException {
    return backingObject.getXMLGetMethod(pController, pSource, pFieldName, pMethodName);
  }

  public JavaMethod getXMLSetMethod(TypeSG pController, JavaSource pSource, String pFieldName, String pParamName, String pMethodName, boolean pSetIsSet) throws SAXException {
    return backingObject.getXMLSetMethod(pController, pSource, pFieldName, pParamName, pMethodName, pSetIsSet);
  }

  public JavaMethod getXMLIsSetMethod(TypeSG pController, JavaSource pSource, String pFieldName, String pMethodName) throws SAXException {
    return backingObject.getXMLIsSetMethod(pController, pSource, pFieldName, pMethodName);
  }

  public JavaQName getRuntimeType(TypeSG pController) throws SAXException {
    return backingObject.getRuntimeType(pController);
  }

  public void generate(TypeSG pController) throws SAXException {
    backingObject.generate(pController);
  }

  public void generate(TypeSG pController, JavaSource pSource) throws SAXException {
    backingObject.generate(pController, pSource);
  }

  public boolean isRestriction(TypeSG pController) {
    return backingObject.isRestriction(pController);
  }

  public TypeSG getRestrictedType(TypeSG pController) {
    return backingObject.getRestrictedType(pController);
  }

  public boolean isExtension(TypeSG pController) {
    return backingObject.isExtension(pController);
  }

  public TypeSG getExtendedType(TypeSG pController) {
    return backingObject.getExtendedType(pController);
  }

  public XsSchemaHeader getSchemaHeader(TypeSG pController) {
    return backingObject.getSchemaHeader(pController);
  }

  public SGFactory getFactory(TypeSG pController) {
    return backingObject.getFactory(pController);
  }

  public SchemaSG getSchema(TypeSG pController) {
    return backingObject.getSchema(pController);
  }

  public Locator getLocator(TypeSG pController) {
    return backingObject.getLocator(pController);
  }

  public void init(TypeSG pController) throws SAXException {
    backingObject.init(pController);
  }

}
